Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl
Class Constants

    java.lang.Object
      weblogic.apache.xerces.impl.Constants

Deprecated. please use JDK supplied XML parsers and transformers

public final class Constants
extends Object

Commonly used constants.

Field Summary
`static String` | `ALLOW_JAVA_ENCODINGS_FEATURE` Deprecated. Allow Java encoding names feature ("allow-java-encodings").
`static String` | `ATTRIBUTE_PSVI` Deprecated.
`static String` | `BUFFER_SIZE_PROPERTY` Deprecated. Input buffer size property ("input-buffer-size").
`static String` | `CONTINUE_AFTER_FATAL_ERROR_FEATURE` Deprecated. Continue after fatal error feature ("continue-after-fatal-error").
`static String` | `CREATE_CDATA_NODES_FEATURE` Deprecated. Create cdata nodes feature ("create-cdata-nodes").
`static String` | `CREATE_ENTITY_REF_NODES_FEATURE` Deprecated. Create entity reference nodes feature ("dom/create-entity-ref-nodes").
`static String` | `CURRENT_ELEMENT_NODE_PROPERTY` Deprecated. Current element node property ("dom/current-element-node").
`static String` | `DATATYPE_VALIDATOR_FACTORY_PROPERTY` Deprecated. Datatype validator factory ("internal/datatype-validator-factory").
`static String` | `DECLARATION_HANDLER_PROPERTY` Deprecated. Declaration handler property ("declaration-handler").
`static String` | `DEFAULT_ATTRIBUTE_VALUES_FEATURE` Deprecated. Default attribute values feature ("validation/default-attribute-values").
`static String` | `DEFER_NODE_EXPANSION_FEATURE` Deprecated. Defer node expansion feature ("dom/defer-node-expansion").
`static String` | `DOCUMENT_CLASS_NAME_PROPERTY` Deprecated. Document class name property ("dom/document-class-name").
`static String` | `DOCUMENT_SCANNER_PROPERTY` Deprecated. Document scanner property ("internal/document-scanner").
`static String` | `DOM_CANONICAL_FORM` Deprecated.
`static String` | `DOM_CDATA_SECTIONS` Deprecated.
`static String` | `DOM_CHARSET_OVERRIDES_XML_ENCODING` Deprecated.
`static String` | `DOM_COMMENTS` Deprecated.
`static String` | `DOM_DATATYPE_NORMALIZATION` Deprecated.
`static String` | `DOM_DISCARD_DEFAULT_CONTENT` Deprecated.
`static String` | `DOM_ENTITIES` Deprecated.
`static String` | `DOM_FORMAT_PRETTY_PRINT` Deprecated.
`static String` | `DOM_INFOSET` Deprecated.
`static String` | `DOM_NAMESPACE_DECLARATIONS` Deprecated.
`static String` | `DOM_NAMESPACES` Deprecated.
`static String` | `DOM_NODE_PROPERTY` Deprecated. DOM node property ("dom-node").
`static String` | `DOM_NORMALIZE_CHARACTERS` Deprecated.
`static String` | `DOM_SPLIT_CDATA` Deprecated.
`static String` | `DOM_SUPPORTED_MEDIATYPES_ONLY` Deprecated.
`static String` | `DOM_VALIDATE` Deprecated.
`static String` | `DOM_VALIDATE_IF_SCHEMA` Deprecated.
`static String` | `DOM_WHITESPACE_IN_ELEMENT_CONTENT` Deprecated.
`static String` | `DTD_PROCESSOR_PROPERTY` Deprecated. DTD processor property ("internal/dtd-processor").
`static String` | `DTD_SCANNER_PROPERTY` Deprecated. DTD scanner property ("internal/dtd-scanner").
`static String` | `DTD_VALIDATOR_PROPERTY` Deprecated. Validator property ("internal/validator/dtd").
`static String` | `DYNAMIC_VALIDATION_FEATURE` Deprecated. Dynamic validation feature ("validation/dynamic").
`static String` | `ELEMENT_PSVI` Deprecated. Element PSVI is stored in augmentations using string "ELEMENT_PSVI"
`static String` | `ENTITY_MANAGER_PROPERTY` Deprecated. Entity manager property ("internal/entity-manager").
`static String` | `ENTITY_RESOLVER_PROPERTY` Deprecated. Entity resolver property ("internal/entity-resolver").
`static String` | `ERROR_HANDLER_PROPERTY` Deprecated. Error handler property ("internal/error-handler").
`static String` | `ERROR_REPORTER_PROPERTY` Deprecated. Error reporter property ("internal/error-reporter").
`static String` | `EXTERNAL_GENERAL_ENTITIES_FEATURE` Deprecated. External general entities feature ("external-general-entities ").
`static String` | `EXTERNAL_PARAMETER_ENTITIES_FEATURE` Deprecated. External parameter entities feature ("external-parameter-entities ").
`static String` | `INCLUDE_COMMENTS_FEATURE` Deprecated. Comments feature ("include-comments").
`static String` | `INCLUDE_IGNORABLE_WHITESPACE` Deprecated. Include ignorable whitespace feature ("dom/include-ignorable-whitespace").
`static String` | `JAXP_PROPERTY_PREFIX` Deprecated. JAXP property prefix ("http://xml.org/sax/properties/").
`static String` | `LEXICAL_HANDLER_PROPERTY` Deprecated. Lexical handler property ("lexical-handler").
`static String` | `LOAD_AS_INFOSET` Deprecated. Feature id: load as infoset.
`static String` | `LOAD_DTD_GRAMMAR_FEATURE` Deprecated. Load dtd grammar when nonvalidating feature ("nonvalidating/load-dtd-grammar").
`static String` | `LOAD_EXTERNAL_DTD_FEATURE` Deprecated. Load external dtd when nonvalidating feature ("nonvalidating/load-external-dtd").
`static String` | `NAMESPACE_BINDER_PROPERTY` Deprecated. Namespace binder property ("internal/namespace-binder").
`static String` | `NAMESPACE_PREFIXES_FEATURE` Deprecated. Namespace prefixes feature ("namespace-prefixes").
`static String` | `NAMESPACES_FEATURE` Deprecated. Namespaces feature ("namespaces").
`static String` | `NOTIFY_BUILTIN_REFS_FEATURE` Deprecated. Notify built-in (&amp;, etc.) references feature (scanner/notify-builtin-refs").
`static String` | `NOTIFY_CHAR_REFS_FEATURE` Deprecated. Notify character references feature (scanner/notify-char-refs").
`static String` | `SAX_FEATURE_PREFIX` Deprecated. SAX feature prefix ("http://xml.org/sax/features/").
`static String` | `SAX_PROPERTY_PREFIX` Deprecated. SAX property prefix ("http://xml.org/sax/properties/").
`static String` | `SCHEMA_ELEMENT_DEFAULT` Deprecated. Send schema default value via characters()
`static String` | `SCHEMA_FULL_CHECKING` Deprecated. Schema full constraint checking ("validation/schema-full-checking").
`static String` | `SCHEMA_LOCATION` Deprecated. No namespace schema location property ("schema/external-schemaLocation").
`static String` | `SCHEMA_NONS_LOCATION` Deprecated. Schema location property ("schema/external-noNamespaceSchemaLocation").
`static String` | `SCHEMA_NORMALIZED_VALUE` Deprecated. Expose schema normalized values
`static String` | `SCHEMA_SOURCE` Deprecated. JAXP schemaSource property
`static String` | `SCHEMA_VALIDATION_FEATURE` Deprecated. Schema validation feature ("validation/schema").
`static String` | `SCHEMA_VALIDATOR_PROPERTY` Deprecated. Validator property ("internal/validator/schema").
`static String` | `SECURITY_MANAGER_PROPERTY` Deprecated. Security manager property ("security-manager").
`static String` | `STRING_INTERNING_FEATURE` Deprecated. String interning feature ("string-interning").
`static String` | `SYMBOL_TABLE_PROPERTY` Deprecated. Symbol table property ("internal/symbol-table").
`static String` | `VALIDATE_CONTENT_MODELS_FEATURE` Deprecated. Validate content models feature ("validation/validate-content-models").
`static String` | `VALIDATE_DATATYPES_FEATURE` Deprecated. Validate datatypes feature ("validation/validate-datatypes").
`static String` | `VALIDATION_FEATURE` Deprecated. Validation feature ("validation").
`static String` | `VALIDATION_MANAGER_PROPERTY` Deprecated. Validation manager property ("internal/validation-manager").
`static String` | `VALIDATOR_PROPERTY` Deprecated. Validator property ("internal/validator").
`static String` | `WARN_ON_DUPLICATE_ATTDEF_FEATURE` Deprecated. Warn on duplicate attribute declaration feature ("validation/warn-on-duplicate-attdef").
`static String` | `WARN_ON_DUPLICATE_ENTITYDEF_FEATURE` Deprecated. Warn on duplicate entity declaration feature ("warn-on-duplicate-entitydef").
`static String` | `WARN_ON_UNDECLARED_ELEMDEF_FEATURE` Deprecated. Warn on undeclared element feature ("validation/warn-on-undeclared-elemdef").
`static String` | `XERCES_FEATURE_PREFIX` Deprecated. Xerces features prefix ("http://apache.org/xml/features/").
`static String` | `XERCES_PROPERTY_PREFIX` Deprecated. Xerces properties prefix ("http://apache.org/xml/properties/").
`static String` | `XML_STRING_PROPERTY` Deprecated. XML string property ("xml-string").
`static String` | `XMLGRAMMAR_POOL_PROPERTY` Deprecated. Grammar pool property ("internal/grammar-pool").

Method Summary
`static Enumeration` | `getSAXFeatures()` Deprecated. Returns an enumeration of the SAX features.
`static Enumeration` | `getSAXProperties()` Deprecated. Returns an enumeration of the SAX properties.
`static Enumeration` | `getXercesFeatures()` Deprecated. Returns an enumeration of the Xerces features.
`static Enumeration` | `getXercesProperties()` Deprecated. Returns an enumeration of the Xerces properties.
`static void` | `main(String[] argv)` Deprecated. Prints all of the constants to standard output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_JAVA_ENCODINGS_FEATURE

    public static final String ALLOW_JAVA_ENCODINGS_FEATURE

  Deprecated.
  Allow Java encoding names feature ("allow-java-encodings").

  See Also:
    Constant Field Values

### ATTRIBUTE_PSVI

    public static final String ATTRIBUTE_PSVI

  Deprecated.
  See Also:
    Constant Field Values

### BUFFER_SIZE_PROPERTY

    public static final String BUFFER_SIZE_PROPERTY

  Deprecated.
  Input buffer size property ("input-buffer-size").

  See Also:
    Constant Field Values

### CONTINUE_AFTER_FATAL_ERROR_FEATURE

    public static final String CONTINUE_AFTER_FATAL_ERROR_FEATURE

  Deprecated.
  Continue after fatal error feature ("continue-after-fatal-error").

  See Also:
    Constant Field Values

### CREATE_CDATA_NODES_FEATURE

    public static final String CREATE_CDATA_NODES_FEATURE

  Deprecated.
  Create cdata nodes feature ("create-cdata-nodes").

  See Also:
    Constant Field Values

### CREATE_ENTITY_REF_NODES_FEATURE

    public static final String CREATE_ENTITY_REF_NODES_FEATURE

  Deprecated.
  Create entity reference nodes feature ("dom/create-entity-ref-nodes").

  See Also:
    Constant Field Values

### CURRENT_ELEMENT_NODE_PROPERTY

    public static final String CURRENT_ELEMENT_NODE_PROPERTY

  Deprecated.
  Current element node property ("dom/current-element-node").

  See Also:
    Constant Field Values

### DATATYPE_VALIDATOR_FACTORY_PROPERTY

    public static final String DATATYPE_VALIDATOR_FACTORY_PROPERTY

  Deprecated.
  Datatype validator factory ("internal/datatype-validator-factory").

  See Also:
    Constant Field Values

### DECLARATION_HANDLER_PROPERTY

    public static final String DECLARATION_HANDLER_PROPERTY

  Deprecated.
  Declaration handler property ("declaration-handler").

  See Also:
    Constant Field Values

### DEFAULT_ATTRIBUTE_VALUES_FEATURE

    public static final String DEFAULT_ATTRIBUTE_VALUES_FEATURE

  Deprecated.
  Default attribute values feature ("validation/default-attribute-values").

  See Also:
    Constant Field Values

### DEFER_NODE_EXPANSION_FEATURE

    public static final String DEFER_NODE_EXPANSION_FEATURE

  Deprecated.
  Defer node expansion feature ("dom/defer-node-expansion").

  See Also:
    Constant Field Values

### DOCUMENT_CLASS_NAME_PROPERTY

    public static final String DOCUMENT_CLASS_NAME_PROPERTY

  Deprecated.
  Document class name property ("dom/document-class-name").

  See Also:
    Constant Field Values

### DOCUMENT_SCANNER_PROPERTY

    public static final String DOCUMENT_SCANNER_PROPERTY

  Deprecated.
  Document scanner property ("internal/document-scanner").

  See Also:
    Constant Field Values

### DOM_CANONICAL_FORM

    public static final String DOM_CANONICAL_FORM

  Deprecated.
  See Also:
    Constant Field Values

### DOM_CDATA_SECTIONS

    public static final String DOM_CDATA_SECTIONS

  Deprecated.
  See Also:
    Constant Field Values

### DOM_CHARSET_OVERRIDES_XML_ENCODING

    public static final String DOM_CHARSET_OVERRIDES_XML_ENCODING

  Deprecated.
  See Also:
    Constant Field Values

### DOM_COMMENTS

    public static final String DOM_COMMENTS

  Deprecated.
  See Also:
    Constant Field Values

### DOM_DATATYPE_NORMALIZATION

    public static final String DOM_DATATYPE_NORMALIZATION

  Deprecated.
  See Also:
    Constant Field Values

### DOM_DISCARD_DEFAULT_CONTENT

    public static final String DOM_DISCARD_DEFAULT_CONTENT

  Deprecated.
  See Also:
    Constant Field Values

### DOM_ENTITIES

    public static final String DOM_ENTITIES

  Deprecated.
  See Also:
    Constant Field Values

### DOM_FORMAT_PRETTY_PRINT

    public static final String DOM_FORMAT_PRETTY_PRINT

  Deprecated.
  See Also:
    Constant Field Values

### DOM_INFOSET

    public static final String DOM_INFOSET

  Deprecated.
  See Also:
    Constant Field Values

### DOM_NAMESPACE_DECLARATIONS

    public static final String DOM_NAMESPACE_DECLARATIONS

  Deprecated.
  See Also:
    Constant Field Values

### DOM_NAMESPACES

    public static final String DOM_NAMESPACES

  Deprecated.
  See Also:
    Constant Field Values

### DOM_NODE_PROPERTY

    public static final String DOM_NODE_PROPERTY

  Deprecated.
  DOM node property ("dom-node").

  See Also:
    Constant Field Values

### DOM_NORMALIZE_CHARACTERS

    public static final String DOM_NORMALIZE_CHARACTERS

  Deprecated.
  See Also:
    Constant Field Values

### DOM_SPLIT_CDATA

    public static final String DOM_SPLIT_CDATA

  Deprecated.
  See Also:
    Constant Field Values

### DOM_SUPPORTED_MEDIATYPES_ONLY

    public static final String DOM_SUPPORTED_MEDIATYPES_ONLY

  Deprecated.
  See Also:
    Constant Field Values

### DOM_VALIDATE

    public static final String DOM_VALIDATE

  Deprecated.
  See Also:
    Constant Field Values

### DOM_VALIDATE_IF_SCHEMA

    public static final String DOM_VALIDATE_IF_SCHEMA

  Deprecated.
  See Also:
    Constant Field Values

### DOM_WHITESPACE_IN_ELEMENT_CONTENT

    public static final String DOM_WHITESPACE_IN_ELEMENT_CONTENT

  Deprecated.
  See Also:
    Constant Field Values

### DTD_PROCESSOR_PROPERTY

    public static final String DTD_PROCESSOR_PROPERTY

  Deprecated.
  DTD processor property ("internal/dtd-processor").

  See Also:
    Constant Field Values

### DTD_SCANNER_PROPERTY

    public static final String DTD_SCANNER_PROPERTY

  Deprecated.
  DTD scanner property ("internal/dtd-scanner").

  See Also:
    Constant Field Values

### DTD_VALIDATOR_PROPERTY

    public static final String DTD_VALIDATOR_PROPERTY

  Deprecated.
  Validator property ("internal/validator/dtd").

  See Also:
    Constant Field Values

### DYNAMIC_VALIDATION_FEATURE

    public static final String DYNAMIC_VALIDATION_FEATURE

  Deprecated.
  Dynamic validation feature ("validation/dynamic").

  See Also:
    Constant Field Values

### ELEMENT_PSVI

    public static final String ELEMENT_PSVI

  Deprecated.
  Element PSVI is stored in augmentations using string "ELEMENT_PSVI"

  See Also:
    Constant Field Values

### ENTITY_MANAGER_PROPERTY

    public static final String ENTITY_MANAGER_PROPERTY

  Deprecated.
  Entity manager property ("internal/entity-manager").

  See Also:
    Constant Field Values

### ENTITY_RESOLVER_PROPERTY

    public static final String ENTITY_RESOLVER_PROPERTY

  Deprecated.
  Entity resolver property ("internal/entity-resolver").

  See Also:
    Constant Field Values

### ERROR_HANDLER_PROPERTY

    public static final String ERROR_HANDLER_PROPERTY

  Deprecated.
  Error handler property ("internal/error-handler").

  See Also:
    Constant Field Values

### ERROR_REPORTER_PROPERTY

    public static final String ERROR_REPORTER_PROPERTY

  Deprecated.
  Error reporter property ("internal/error-reporter").

  See Also:
    Constant Field Values

### EXTERNAL_GENERAL_ENTITIES_FEATURE

    public static final String EXTERNAL_GENERAL_ENTITIES_FEATURE

  Deprecated.
  External general entities feature ("external-general-entities ").

  See Also:
    Constant Field Values

### EXTERNAL_PARAMETER_ENTITIES_FEATURE

    public static final String EXTERNAL_PARAMETER_ENTITIES_FEATURE

  Deprecated.
  External parameter entities feature ("external-parameter-entities ").

  See Also:
    Constant Field Values

### INCLUDE_COMMENTS_FEATURE

    public static final String INCLUDE_COMMENTS_FEATURE

  Deprecated.
  Comments feature ("include-comments").

  See Also:
    Constant Field Values

### INCLUDE_IGNORABLE_WHITESPACE

    public static final String INCLUDE_IGNORABLE_WHITESPACE

  Deprecated.
  Include ignorable whitespace feature ("dom/include-ignorable-whitespace").

  See Also:
    Constant Field Values

### JAXP_PROPERTY_PREFIX

    public static final String JAXP_PROPERTY_PREFIX

  Deprecated.
  JAXP property prefix ("http://xml.org/sax/properties/").

  See Also:
    Constant Field Values

### LEXICAL_HANDLER_PROPERTY

    public static final String LEXICAL_HANDLER_PROPERTY

  Deprecated.
  Lexical handler property ("lexical-handler").

  See Also:
    Constant Field Values

### LOAD_AS_INFOSET

    public static final String LOAD_AS_INFOSET

  Deprecated.
  Feature id: load as infoset.

  See Also:
    Constant Field Values

### LOAD_DTD_GRAMMAR_FEATURE

    public static final String LOAD_DTD_GRAMMAR_FEATURE

  Deprecated.
  Load dtd grammar when nonvalidating feature ("nonvalidating/load-dtd-grammar").

  See Also:
    Constant Field Values

### LOAD_EXTERNAL_DTD_FEATURE

    public static final String LOAD_EXTERNAL_DTD_FEATURE

  Deprecated.
  Load external dtd when nonvalidating feature ("nonvalidating/load-external-dtd").

  See Also:
    Constant Field Values

### NAMESPACE_BINDER_PROPERTY

    public static final String NAMESPACE_BINDER_PROPERTY

  Deprecated.
  Namespace binder property ("internal/namespace-binder").

  See Also:
    Constant Field Values

### NAMESPACE_PREFIXES_FEATURE

    public static final String NAMESPACE_PREFIXES_FEATURE

  Deprecated.
  Namespace prefixes feature ("namespace-prefixes").

  See Also:
    Constant Field Values

### NAMESPACES_FEATURE

    public static final String NAMESPACES_FEATURE

  Deprecated.
  Namespaces feature ("namespaces").

  See Also:
    Constant Field Values

### NOTIFY_BUILTIN_REFS_FEATURE

    public static final String NOTIFY_BUILTIN_REFS_FEATURE

  Deprecated.
  Notify built-in (&amp;, etc.) references feature (scanner/notify-builtin-refs").

  See Also:
    Constant Field Values

### NOTIFY_CHAR_REFS_FEATURE

    public static final String NOTIFY_CHAR_REFS_FEATURE

  Deprecated.
  Notify character references feature (scanner/notify-char-refs").

  See Also:
    Constant Field Values

### SAX_FEATURE_PREFIX

    public static final String SAX_FEATURE_PREFIX

  Deprecated.
  SAX feature prefix ("http://xml.org/sax/features/").

  See Also:
    Constant Field Values

### SAX_PROPERTY_PREFIX

    public static final String SAX_PROPERTY_PREFIX

  Deprecated.
  SAX property prefix ("http://xml.org/sax/properties/").

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT_DEFAULT

    public static final String SCHEMA_ELEMENT_DEFAULT

  Deprecated.
  Send schema default value via characters()

  See Also:
    Constant Field Values

### SCHEMA_FULL_CHECKING

    public static final String SCHEMA_FULL_CHECKING

  Deprecated.
  Schema full constraint checking ("validation/schema-full-checking").

  See Also:
    Constant Field Values

### SCHEMA_LOCATION

    public static final String SCHEMA_LOCATION

  Deprecated.
  No namespace schema location property ("schema/external-schemaLocation").

  See Also:
    Constant Field Values

### SCHEMA_NONS_LOCATION

    public static final String SCHEMA_NONS_LOCATION

  Deprecated.
  Schema location property ("schema/external-noNamespaceSchemaLocation").

  See Also:
    Constant Field Values

### SCHEMA_NORMALIZED_VALUE

    public static final String SCHEMA_NORMALIZED_VALUE

  Deprecated.
  Expose schema normalized values

  See Also:
    Constant Field Values

### SCHEMA_SOURCE

    public static final String SCHEMA_SOURCE

  Deprecated.
  JAXP schemaSource property

  See Also:
    Constant Field Values

### SCHEMA_VALIDATION_FEATURE

    public static final String SCHEMA_VALIDATION_FEATURE

  Deprecated.
  Schema validation feature ("validation/schema").

  See Also:
    Constant Field Values

### SCHEMA_VALIDATOR_PROPERTY

    public static final String SCHEMA_VALIDATOR_PROPERTY

  Deprecated.
  Validator property ("internal/validator/schema").

  See Also:
    Constant Field Values

### SECURITY_MANAGER_PROPERTY

    public static final String SECURITY_MANAGER_PROPERTY

  Deprecated.
  Security manager property ("security-manager").

  See Also:
    Constant Field Values

### STRING_INTERNING_FEATURE

    public static final String STRING_INTERNING_FEATURE

  Deprecated.
  String interning feature ("string-interning").

  See Also:
    Constant Field Values

### SYMBOL_TABLE_PROPERTY

    public static final String SYMBOL_TABLE_PROPERTY

  Deprecated.
  Symbol table property ("internal/symbol-table").

  See Also:
    Constant Field Values

### VALIDATE_CONTENT_MODELS_FEATURE

    public static final String VALIDATE_CONTENT_MODELS_FEATURE

  Deprecated.
  Validate content models feature ("validation/validate-content-models").

  See Also:
    Constant Field Values

### VALIDATE_DATATYPES_FEATURE

    public static final String VALIDATE_DATATYPES_FEATURE

  Deprecated.
  Validate datatypes feature ("validation/validate-datatypes").

  See Also:
    Constant Field Values

### VALIDATION_FEATURE

    public static final String VALIDATION_FEATURE

  Deprecated.
  Validation feature ("validation").

  See Also:
    Constant Field Values

### VALIDATION_MANAGER_PROPERTY

    public static final String VALIDATION_MANAGER_PROPERTY

  Deprecated.
  Validation manager property ("internal/validation-manager").

  See Also:
    Constant Field Values

### VALIDATOR_PROPERTY

    public static final String VALIDATOR_PROPERTY

  Deprecated.
  Validator property ("internal/validator").

  See Also:
    Constant Field Values

### WARN_ON_DUPLICATE_ATTDEF_FEATURE

    public static final String WARN_ON_DUPLICATE_ATTDEF_FEATURE

  Deprecated.
  Warn on duplicate attribute declaration feature ("validation/warn-on-duplicate-attdef").

  See Also:
    Constant Field Values

### WARN_ON_DUPLICATE_ENTITYDEF_FEATURE

    public static final String WARN_ON_DUPLICATE_ENTITYDEF_FEATURE

  Deprecated.
  Warn on duplicate entity declaration feature ("warn-on-duplicate-entitydef").

  See Also:
    Constant Field Values

### WARN_ON_UNDECLARED_ELEMDEF_FEATURE

    public static final String WARN_ON_UNDECLARED_ELEMDEF_FEATURE

  Deprecated.
  Warn on undeclared element feature ("validation/warn-on-undeclared-elemdef").

  See Also:
    Constant Field Values

### XERCES_FEATURE_PREFIX

    public static final String XERCES_FEATURE_PREFIX

  Deprecated.
  Xerces features prefix ("http://apache.org/xml/features/").

  See Also:
    Constant Field Values

### XERCES_PROPERTY_PREFIX

    public static final String XERCES_PROPERTY_PREFIX

  Deprecated.
  Xerces properties prefix ("http://apache.org/xml/properties/").

  See Also:
    Constant Field Values

### XML_STRING_PROPERTY

    public static final String XML_STRING_PROPERTY

  Deprecated.
  XML string property ("xml-string").

  See Also:
    Constant Field Values

### XMLGRAMMAR_POOL_PROPERTY

    public static final String XMLGRAMMAR_POOL_PROPERTY

  Deprecated.
  Grammar pool property ("internal/grammar-pool").

  See Also:
    Constant Field Values

Method Detail

### getSAXFeatures

    public static Enumeration getSAXFeatures()

  Deprecated.
  Returns an enumeration of the SAX features.

### getSAXProperties

    public static Enumeration getSAXProperties()

  Deprecated.
  Returns an enumeration of the SAX properties.

### getXercesFeatures

    public static Enumeration getXercesFeatures()

  Deprecated.
  Returns an enumeration of the Xerces features.

### getXercesProperties

    public static Enumeration getXercesProperties()

  Deprecated.
  Returns an enumeration of the Xerces properties.

### main

    public static void main(String[] argv)

  Deprecated.
  Prints all of the constants to standard output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD